Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rie.rieps.engine
Class Frame

    java.lang.Object
      com.rie.rieps.engine.Frame

    public class Frame

extends java.lang.Object

Author:
  Yves Piel

Constructor Summary
`Frame(float left, float top, float width, float height, float leftPadding, float topPadding, float rightPadding, float bottomPadding, LineFormat lfLeft, LineFormat lfTop, LineFormat lfRight, LineFormat lfBottom, boolean fill, Color fillColor, float rotate, java.lang.String text, PSFont psfnt, TextParameter tp)` Creates a new instance of Frame

Method Summary
`float` | `getBottomPadding()`
`Color` | `getFillColor()`
`float` | `getHeight()`
`float` | `getLeft()`
`float` | `getLeftPadding()`
`LineFormat` | `getLfBottom()`
`LineFormat` | `getLfLeft()`
`LineFormat` | `getLfRight()`
`LineFormat` | `getLfTop()`
`PSFont` | `getPsfnt()`
`float` | `getRightPadding()`
`float` | `getRotate()`
`java.lang.String` | `getText()`
`TextParameter` | `getTextParameter()`
`float` | `getTop()`
`float` | `getTopPadding()`
`float` | `getWidth()`
`boolean` | `isFill()`
`void` | `setBottomPadding(float bottomPadding)`
`void` | `setFill(boolean fill)`
`void` | `setFillColor(Color fillColor)`
`void` | `setHeight(float height)`
`void` | `setLeft(float left)`
`void` | `setLeftPadding(float leftPadding)`
`void` | `setLfBottom(LineFormat lfBottom)`
`void` | `setLfLeft(LineFormat lfLeft)`
`void` | `setLfRight(LineFormat lfRight)`
`void` | `setLfTop(LineFormat lfTop)`
`void` | `setPsfnt(PSFont psfnt)`
`void` | `setRightPadding(float rightPadding)`
`void` | `setRotate(float rotate)`
`void` | `setText(java.lang.String text)`
`void` | `setTextParameter(TextParameter tp)`
`void` | `setTop(float top)`
`void` | `setTopPadding(float topPadding)`
`void` | `setWidth(float width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Frame

    public Frame(float left,
                 float top,
                 float width,
                 float height,
                 float leftPadding,
                 float topPadding,
                 float rightPadding,
                 float bottomPadding,
                 LineFormat lfLeft,
                 LineFormat lfTop,
                 LineFormat lfRight,
                 LineFormat lfBottom,
                 boolean fill,
                 Color fillColor,
                 float rotate,
                 java.lang.String text,
                 PSFont psfnt,
                 TextParameter tp)

  Creates a new instance of Frame

Method Detail

### getTop

    public float getTop()

### setTop

    public void setTop(float top)

### getLeft

    public float getLeft()

### setLeft

    public void setLeft(float left)

### getWidth

    public float getWidth()

### setWidth

    public void setWidth(float width)

### getHeight

    public float getHeight()

### setHeight

    public void setHeight(float height)

### getLeftPadding

    public float getLeftPadding()

### setLeftPadding

    public void setLeftPadding(float leftPadding)

### getTopPadding

    public float getTopPadding()

### setTopPadding

    public void setTopPadding(float topPadding)

### getRightPadding

    public float getRightPadding()

### setRightPadding

    public void setRightPadding(float rightPadding)

### getBottomPadding

    public float getBottomPadding()

### setBottomPadding

    public void setBottomPadding(float bottomPadding)

### getLfLeft

    public LineFormat getLfLeft()

### setLfLeft

    public void setLfLeft(LineFormat lfLeft)

### getLfTop

    public LineFormat getLfTop()

### setLfTop

    public void setLfTop(LineFormat lfTop)

### getLfRight

    public LineFormat getLfRight()

### setLfRight

    public void setLfRight(LineFormat lfRight)

### getLfBottom

    public LineFormat getLfBottom()

### setLfBottom

    public void setLfBottom(LineFormat lfBottom)

### getRotate

    public float getRotate()

### setRotate

    public void setRotate(float rotate)

### getText

    public java.lang.String getText()

### setText

    public void setText(java.lang.String text)

### getPsfnt

    public PSFont getPsfnt()

### setPsfnt

    public void setPsfnt(PSFont psfnt)

### getTextParameter

    public TextParameter getTextParameter()

### setTextParameter

    public void setTextParameter(TextParameter tp)

### isFill

    public boolean isFill()

### setFill

    public void setFill(boolean fill)

### getFillColor

    public Color getFillColor()

### setFillColor

    public void setFillColor(Color fillColor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD